const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '秩序册管理', leftArrow: true, useBar: false },
        // 选项卡
        tabs: {
            active: 'a',
            list: [
                { title: '组项信息', name: 'a' },
                { title: '赛程信息', name: 'b' },
            ],
        },
        // 组安排
        teamList: [],
        raceList: []
    },
    back(e) {
        wx.navigateBack({ delta: 1 })
    },
    tabsChange: function (e) {
        const that = this;
        const { name } = e.detail;
        that.setData({ 'tabs.active': name });
    },
    // 添加
    toCommon: function (e) {
        const that = this;
        const { route } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/${route}` })
    },
    // 信息维护
    toEdit: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/orderbook/teamAdd?id=${item._id}` })
    },
    // 信息维护
    raceEdit: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        console.log(item);
        wx.navigateTo({ url: `/pages/orderbook/raceAdd?id=${item._id}` })
    },
    // 删除
    toDel: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        wx.showModal({
            title: '提示',
            content: '是否确认删除该条数据?',
            async success(res) {
                if (res.confirm) {
                    const arr = await app.$delete(`/newCourt/api/raceTeam/${item._id}`);
                    if (arr.errcode == '0') {
                        wx.showToast({ title: `删除信息成功`, icon: 'success', duration: 2000 })
                        that.watchLogin()
                    } else {
                        wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 })
                    }
                }
            }
        })
    },
    raceDel: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        wx.showModal({
            title: '提示',
            content: '是否确认删除该条数据?',
            async success(res) {
                if (res.confirm) {
                    const arr = await app.$delete(`/newCourt/api/race/${item._id}`);
                    if (arr.errcode == '0') {
                        wx.showToast({ title: `删除信息成功`, icon: 'success', duration: 2000 })
                        that.watchLogin()
                    } else {
                        wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 })
                    }
                }
            }
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        const that = this;
        // 监听用户是否登录
        that.watchLogin();
    },
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                let arr;
                let info = { skip: 0, limit: 1000 };
                arr = await app.$get(`/newCourt/api/raceTeam`, { ...info });
                if (arr.errcode == '0') { that.setData({ teamList: arr.data }) }
                else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }
                arr = await app.$get(`/newCourt/api/race`, { ...info });
                if (arr.errcode == '0') { that.setData({ raceList: arr.data }) }
                else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }

            },
            fail: async (res) => {
                wx.redirectTo({ url: '/pages/index/index' });
            },
        });
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})